% make a plot of survival for sis disease

set(0,                           ...
   'defaultaxesfontsize', 20,   ...
   'defaultaxeslinewidth', 1.0, ...
   'defaultlinelinewidth', 1.2, ...
   'defaultpatchlinewidth', 0.7); 

Ist = [0.01:0.01:0.99];
eta = -Ist./(log(1-Ist));

figure(1)
plot(eta,Ist,'linewidth',2)
xlabel('\eta = \alpha/\beta s_0','fontsize',20)
ylabel('I^*=Fraction of Affected Susceptibles','fontsize',20)
